WordPress.org

Make WordPress Core

Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#19326 closed task (blessed) (fixed)

jQuery 1.7.1

Reported by: ocean90 Owned by: azaozz
Milestone: 3.3 Priority: high
Severity: normal Version: 3.3
Component: External Libraries Keywords: has-patch needs-testing commit
Focuses: Cc:

Description

Attachments (1)

19326.patch (183.7 KB) - added by ocean90 2 years ago.

Download all attachments as: .zip

Change History (14)

ocean902 years ago

comment:1 nacin2 years ago

This should be considered a blocker for beta 4.

comment:2 nacin2 years ago

  • Keywords commit added
  • Priority changed from normal to high

comment:3 follow-up: westi2 years ago

  • Owner set to azaozz
  • Status changed from new to reviewing

Andrew please can you review and work the jQuery magic here.

comment:4 jane2 years ago

The text written by @markjaquith for the post-update screen says "WordPress now includes the entire jQuery UI stack and the latest version of jQuery: 1.7."

Has there been testing with 1.7.1? Dropping it in as we're about to release sounds like a risk unless I'm missing something.

comment:5 westi2 years ago

  • Keywords commit removed

One question:

  • What is the compelling bug fixed in 1.7.1 that means we need this for Beta 4?

If there isn't one it can wait for 3.3.1

comment:6 in reply to: ↑ 3 ; follow-up: azaozz2 years ago

Replying to westi:
Did part of this yesterday, continuing today. Looking at the changelog, don't see any bugfixes that affect us directly.

On the other hand probably not a good idea to upgrade to 1.7.1 in a dot release, we keep these for blockers or regression bugs only.

comment:7 in reply to: ↑ 6 westi2 years ago

  • Keywords punt added

Replying to azaozz:

Replying to westi:
Did part of this yesterday, continuing today. Looking at the changelog, don't see any bugfixes that affect us directly.

On the other hand probably not a good idea to upgrade to 1.7.1 in a dot release, we keep these for blockers or regression bugs only.

In that case we should forget about 1.7.1 for WP 3.3 / 3.3.1 and punt this ticket as there is nothing fixed that affects us.

We could consider 1.7.1 or 1.7.x for 3.3.x if a serious bug was found and fixed that caused a serious issue in WP.

comment:8 georgestephanis2 years ago

Here's the previous ticket for discussion of which jQuery version to bundle from a couple weeks back: #19144

comment:9 ocean902 years ago

If we punt it we need to change the string on about screen.

But I don't see the point, why we should punt this.

comment:10 ryan2 years ago

Even though core might not benefit from the fixes, plugins might. Just something to consider.

comment:11 jane2 years ago

  • Keywords commit added; punt removed

If it's going in then let's get it in now so we have a little time to find out if there will be any conflicts.

comment:12 azaozz2 years ago

  • Resolution set to fixed
  • Status changed from reviewing to closed

In [19423]:

jQuery 1.7.1, fixes #19326

Note: See TracTickets for help on using tickets.